Package org.jbpm.runtime.manager.impl.deploy

## Class ReflectionObjectModelResolver

- java.lang.Object
- - org.jbpm.runtime.manager.impl.deploy.ReflectionObjectModelResolver

- All Implemented Interfaces:
    `org.kie.internal.runtime.conf.ObjectModelResolver`
  Direct Known Subclasses:
    `EjbObjectModelResolver`

      public class ReflectionObjectModelResolver
      extends Object
      implements org.kie.internal.runtime.conf.ObjectModelResolver

  Java reflection based `ObjectModelResolver` that creates class instances using supplied class loader and definition in the object model structure.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `ID` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ReflectionObjectModelResolver()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `accept​(String resolverId)` |
    `protected Class<?>` | `getClassObject​(String classname, ClassLoader cl)` |
    `Object` | `getInstance​(org.kie.internal.runtime.conf.ObjectModel model, ClassLoader cl, Map<String,​Object> contextParams)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ID

          public static final String ID

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ReflectionObjectModelResolver

          public ReflectionObjectModelResolver()

  - ### Method Detail

    - #### getInstance

          public Object getInstance​(org.kie.internal.runtime.conf.ObjectModel model,
                                    ClassLoader cl,
                                    Map<String,​Object> contextParams)

      Specified by:
        `getInstance` in interface `org.kie.internal.runtime.conf.ObjectModelResolver`

    - #### accept

          public boolean accept​(String resolverId)

      Specified by:
        `accept` in interface `org.kie.internal.runtime.conf.ObjectModelResolver`

    - #### getClassObject

          protected Class<?> getClassObject​(String classname,
                                            ClassLoader cl)